import { View, Template, KeyedTemplate } from '../core/view';
import { ViewBase } from '../core/view-base';
import { ViewEntry } from '../frame';
import { Page } from '../page';
import type { ComponentModule } from './component-builder';
export declare const ios: string;
export declare const android: string;
export declare const visionos: string;
export declare const defaultNameSpaceMatcher: RegExp;
export interface LoadOptions {
    path: string;
    name: string;
    attributes?: any;
    exports?: any;
    page?: Page;
}
export declare class Builder {
    static knownTemplates: Set<string>;
    static knownMultiTemplates: Set<string>;
    static knownCollections: Set<string>;
    static createViewFromEntry(entry: ViewEntry): View;
    static parse(value: string | Template, context?: any): View;
    static load(pathOrOptions: string | LoadOptions, context?: any): View;
    static parseMultipleTemplates(value: string, context: any): Array<KeyedTemplate>;
}
export declare function parse(value: string | Template, context?: any): View;
export declare function parseMultipleTemplates(value: string, context: any): Array<KeyedTemplate>;
export declare function load(pathOrOptions: string | LoadOptions, context?: any): View;
export declare function createViewFromEntry(entry: ViewEntry): View;
export declare function loadCustomComponent(componentNamespace: string, componentName?: string, attributes?: Object, context?: Object, parentPage?: View, isRootComponent?: boolean, moduleNamePath?: string): ComponentModule;
export declare function getExports(instance: ViewBase): any;
