import { FormattedString as FormattedStringDefinition } from './formatted-string';
import { Span } from './span';
import { ObservableArray } from '../../data/observable-array';
import { AddArrayFromBuilder, AddChildFromBuilder } from '../core/view';
import { ViewBase } from '../core/view-base';
import { Color } from '../../color';
import { FontStyleType, FontVariationSettingsType, FontWeightType } from '../styling/font';
import { CoreTypes } from '../../core-types';
export declare class FormattedString extends ViewBase implements FormattedStringDefinition, AddArrayFromBuilder, AddChildFromBuilder {
    private _spans;
    constructor();
    get fontFamily(): string;
    set fontFamily(value: string);
    get fontSize(): number;
    set fontSize(value: number);
    get fontStyle(): FontStyleType;
    set fontStyle(value: FontStyleType);
    get fontWeight(): FontWeightType;
    set fontWeight(value: FontWeightType);
    get fontVariationSettings(): FontVariationSettingsType[];
    set fontVariationSettings(value: FontVariationSettingsType[]);
    get textDecoration(): CoreTypes.TextDecorationType;
    set textDecoration(value: CoreTypes.TextDecorationType);
    get color(): Color;
    set color(value: Color);
    get backgroundColor(): Color;
    set backgroundColor(value: Color);
    get iosAccessibilityAdjustsFontSize(): boolean;
    set iosAccessibilityAdjustsFontSize(value: boolean);
    get iosAccessibilityMinFontScale(): number;
    set iosAccessibilityMinFontScale(value: number);
    get iosAccessibilityMaxFontScale(): number;
    set iosAccessibilityMaxFontScale(value: number);
    get spans(): ObservableArray<Span>;
    toString(): string;
    _addArrayFromBuilder(name: string, value: Array<any>): void;
    _addChildFromBuilder(name: string, value: any): void;
    private onSpansCollectionChanged;
    private addPropertyChangeHandler;
    private removePropertyChangeHandler;
    private onPropertyChange;
    eachChild(callback: (child: ViewBase) => boolean): void;
}
